Subject: Re: [PATCH v4 2/5] unpack-trees: add performance tracing

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Aug 2018 11:50:34 -0700

Thomas Adam <[email-masked]> writes:

> On Sun, 12 Aug 2018 at 09:19, Nguyễn Thái Ngọc Duy <[email-masked]> wrote:
>
> Hi,
>
>> +       trace_performance_leave("cache_tree_update");
>
> I would suggest trace_performance_leave() calls use __func__ instead.
> That way, there's no ambiguity if the function name ever changes.

Please don't, unless you are certain that everybody has __func__ in
the first place.